!===============================================================================
!
! cg_stubs.F90
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2013-2015 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# define LANGUAGE_FORTRAN

!-------------------------------------------------------------------------------
subroutine cg_wrapper(which_matrix, x, b, para, conf, clover_a, clover_i, iterations) 

  call die("cg_wrapper(): this is the stub routine, cg version 2 is not compiled")

end

!-------------------------------------------------------------------------------
subroutine cg_wrapper_cg(x, b, id, niter, res)

  call die("cg_wrapper_cg(): this is the stub routine, cg version 2 is not compiled")

end

!-------------------------------------------------------------------------------
subroutine cg_wrapper_mbcg(which_matrix, id, b, iterations) 

  call die("cg_wrapper_mbcg(): this is the stub routine, cg version 2 is not compiled")

end

!-------------------------------------------------------------------------------
subroutine cg_wrapper_mcg(which_matrix, id, n, shift_switch, betabar, b, iterations, niter_shift, res)

  call die("cg_wrapper_mcg(): this is the stub routine, cg version 2 is not compiled")

end

!===============================================================================
